﻿using System;
using System.Collections.Generic;

namespace WpfApp2
{
    public interface IPropertyViewModel
    {
        string Name { get; set; }
        object Value { get; set; }
        Type ValueType { get; set; }
        ICollection<IPropertyViewModel> Properties { get; set; }
    }

    public class PropertyViewModel : IPropertyViewModel
    {
        public string Name { get; set; }

        public object Value
        {
            get;
            set;
        }

        public Type ValueType
        {
            get;
            set;
        }

        public ICollection<IPropertyViewModel> Properties { get; set; } = new List<IPropertyViewModel>();
    }
}