﻿using System.Collections.Generic;

namespace WpfApp2
{
    public interface IDetailsViewModel
    {
        string Name { get; set; }
        ICollection<IPropertyViewModel> Properties { get; }
    }

    public class DetailsViewModel : IDetailsViewModel
    {
        public string Name
        {
            get;
            set;
        }

        public ICollection<IPropertyViewModel> Properties
        {
            get;
            set;
        } = new List<IPropertyViewModel>();
    }
}